Package es.imim.DISGENET.internal.automation

# Class NetTaskAutomation

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.network.NetTask
es.imim.DISGENET.internal.automation.NetTaskAutomation

All Implemented Interfaces:
  `org.cytoscape.work.ObservableTask`, `org.cytoscape.work.Task`

public class NetTaskAutomation extends NetTask implements org.cytoscape.work.ObservableTask

## Field Summary

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`NetTaskAutomation(GuiParameters curParams)`

## Method Summary

Modifier and Type
Method
Description
`<R> R`
`getResults(Class<? extends R> type)`
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`

### Methods inherited from class es.imim.DISGENET.network.NetTask

`cancel, getCurParams, isInterrupted, setCurParams, setTaskMonitor`

### Methods inherited from class org.cytoscape.work.AbstractTask

`getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.cytoscape.work.ObservableTask

`getResultClasses`

### Methods inherited from interface org.cytoscape.work.Task

`cancel`

## Constructor Details

### NetTaskAutomation

public NetTaskAutomation(GuiParameters curParams)

## Method Details

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Overrides:
  `run` in class `NetTask`
Throws:
  `Exception`

### getResults

public <R> R getResults(Class<? extends R> type)

Specified by:
  `getResults` in interface `org.cytoscape.work.ObservableTask`